/*!
* Dynamsoft JavaScript Library
* @product Dynamsoft Barcode Reader JS Edition
* @website http://www.dynamsoft.com
* @copyright Copyright 2024, Dynamsoft Corporation
* @author Dynamsoft
* @version 10.4.20
* @fileoverview Dynamsoft JavaScript Library for Barcode Reader
* More info on dbr JS: https://www.dynamsoft.com/barcode-reader/docs/web/programming/javascript/
*/
!function(_,t){"object"==typeof exports&&"undefined"!=typeof module?t(exports,require("dynamsoft-core")):"function"==typeof define&&define.amd?define(["exports","dynamsoft-core"],t):t(((_="undefined"!=typeof globalThis?globalThis:_||self).Dynamsoft=_.Dynamsoft||{},_.Dynamsoft.DBR={}),_.Dynamsoft.Core)}(this,(function(_,t){"use strict";const n="undefined"==typeof self,I=(()=>{if(!n&&document.currentScript){let _=document.currentScript.src,t=_.indexOf("?");if(-1!=t)_=_.substring(0,t);else{let t=_.indexOf("#");-1!=t&&(_=_.substring(0,t))}return _.substring(0,_.lastIndexOf("/")+1)}return"./"})(),e=_=>{if(null==_&&(_="./"),n);else{let t=document.createElement("a");t.href=_,_=t.href}return _.endsWith("/")||(_+="/"),_};t.autoDiscoveryPaths.dbr={version:"10.4.20",path:I},t.workerAutoResources.dbr={js:!1,wasm:!0,deps:["license","dip"]},t.mapPackageRegister.dbr={};const E="1.4.10";"string"!=typeof t.autoDiscoveryPaths.std&&t.compareVersion(t.autoDiscoveryPaths.std.version,E)<0&&(t.autoDiscoveryPaths.std={version:E,path:e(I+`../../dynamsoft-capture-vision-std@${E}/dist/`)});const B="2.4.20";(!t.autoDiscoveryPaths.dip||"string"!=typeof t.autoDiscoveryPaths.dip&&t.compareVersion(t.autoDiscoveryPaths.dip.version,B)<0)&&(t.autoDiscoveryPaths.dip={version:B,path:e(I+`../../dynamsoft-image-processing@${B}/dist/`)});const i={BF_NULL:BigInt(0),BF_ALL:BigInt("0xFFFFFFFEFFFFFFFF"),BF_DEFAULT:BigInt(4265345023),BF_ONED:BigInt(3147775),BF_GS1_DATABAR:BigInt(260096),BF_CODE_39:BigInt(1),BF_CODE_128:BigInt(2),BF_CODE_93:BigInt(4),BF_CODABAR:BigInt(8),BF_ITF:BigInt(16),BF_EAN_13:BigInt(32),BF_EAN_8:BigInt(64),BF_UPC_A:BigInt(128),BF_UPC_E:BigInt(256),BF_INDUSTRIAL_25:BigInt(512),BF_CODE_39_EXTENDED:BigInt(1024),BF_GS1_DATABAR_OMNIDIRECTIONAL:BigInt(2048),BF_GS1_DATABAR_TRUNCATED:BigInt(4096),BF_GS1_DATABAR_STACKED:BigInt(8192),BF_GS1_DATABAR_STACKED_OMNIDIRECTIONAL:BigInt(16384),BF_GS1_DATABAR_EXPANDED:BigInt(32768),BF_GS1_DATABAR_EXPANDED_STACKED:BigInt(65536),BF_GS1_DATABAR_LIMITED:BigInt(131072),BF_PATCHCODE:BigInt(262144),BF_CODE_32:BigInt(16777216),BF_PDF417:BigInt(33554432),BF_QR_CODE:BigInt(67108864),BF_DATAMATRIX:BigInt(134217728),BF_AZTEC:BigInt(268435456),BF_MAXICODE:BigInt(536870912),BF_MICRO_QR:BigInt(1073741824),BF_MICRO_PDF417:BigInt(524288),BF_GS1_COMPOSITE:BigInt(2147483648),BF_MSI_CODE:BigInt(1048576),BF_CODE_11:BigInt(2097152),BF_TWO_DIGIT_ADD_ON:BigInt(4194304),BF_FIVE_DIGIT_ADD_ON:BigInt(8388608),BF_MATRIX_25:BigInt(68719476736),BF_POSTALCODE:BigInt(0x3f0000000000000),BF_NONSTANDARD_BARCODE:BigInt(4294967296),BF_USPSINTELLIGENTMAIL:BigInt(4503599627370496),BF_POSTNET:BigInt(9007199254740992),BF_PLANET:BigInt(0x40000000000000),BF_AUSTRALIANPOST:BigInt(0x80000000000000),BF_RM4SCC:BigInt(72057594037927940),BF_KIX:BigInt(0x200000000000000),BF_DOTCODE:BigInt(8589934592),BF_PHARMACODE_ONE_TRACK:BigInt(17179869184),BF_PHARMACODE_TWO_TRACK:BigInt(34359738368),BF_PHARMACODE:BigInt(51539607552)};var R,A,T,D;_.EnumExtendedBarcodeResultType=void 0,(R=_.EnumExtendedBarcodeResultType||(_.EnumExtendedBarcodeResultType={}))[R.EBRT_STANDARD_RESULT=0]="EBRT_STANDARD_RESULT",R[R.EBRT_CANDIDATE_RESULT=1]="EBRT_CANDIDATE_RESULT",R[R.EBRT_PARTIAL_RESULT=2]="EBRT_PARTIAL_RESULT",_.EnumQRCodeErrorCorrectionLevel=void 0,(A=_.EnumQRCodeErrorCorrectionLevel||(_.EnumQRCodeErrorCorrectionLevel={}))[A.QRECL_ERROR_CORRECTION_H=0]="QRECL_ERROR_CORRECTION_H",A[A.QRECL_ERROR_CORRECTION_L=1]="QRECL_ERROR_CORRECTION_L",A[A.QRECL_ERROR_CORRECTION_M=2]="QRECL_ERROR_CORRECTION_M",A[A.QRECL_ERROR_CORRECTION_Q=3]="QRECL_ERROR_CORRECTION_Q",_.EnumLocalizationMode=void 0,(T=_.EnumLocalizationMode||(_.EnumLocalizationMode={}))[T.LM_AUTO=1]="LM_AUTO",T[T.LM_CONNECTED_BLOCKS=2]="LM_CONNECTED_BLOCKS",T[T.LM_STATISTICS=4]="LM_STATISTICS",T[T.LM_LINES=8]="LM_LINES",T[T.LM_SCAN_DIRECTLY=16]="LM_SCAN_DIRECTLY",T[T.LM_STATISTICS_MARKS=32]="LM_STATISTICS_MARKS",T[T.LM_STATISTICS_POSTAL_CODE=64]="LM_STATISTICS_POSTAL_CODE",T[T.LM_CENTRE=128]="LM_CENTRE",T[T.LM_ONED_FAST_SCAN=256]="LM_ONED_FAST_SCAN",T[T.LM_REV=-2147483648]="LM_REV",T[T.LM_SKIP=0]="LM_SKIP",_.EnumDeblurMode=void 0,(D=_.EnumDeblurMode||(_.EnumDeblurMode={}))[D.DM_DIRECT_BINARIZATION=1]="DM_DIRECT_BINARIZATION",D[D.DM_THRESHOLD_BINARIZATION=2]="DM_THRESHOLD_BINARIZATION",D[D.DM_GRAY_EQUALIZATION=4]="DM_GRAY_EQUALIZATION",D[D.DM_SMOOTHING=8]="DM_SMOOTHING",D[D.DM_MORPHING=16]="DM_MORPHING",D[D.DM_DEEP_ANALYSIS=32]="DM_DEEP_ANALYSIS",D[D.DM_SHARPENING=64]="DM_SHARPENING",D[D.DM_BASED_ON_LOC_BIN=128]="DM_BASED_ON_LOC_BIN",D[D.DM_SHARPENING_SMOOTHING=256]="DM_SHARPENING_SMOOTHING",D[D.DM_REV=-2147483648]="DM_REV",D[D.DM_SKIP=0]="DM_SKIP",_.BarcodeReaderModule=class{static getVersion(){const _=t.innerVersions.dbr&&t.innerVersions.dbr.wasm,n=t.innerVersions.dbr&&t.innerVersions.dbr.worker;return`10.4.20(Worker: ${n||"Not Loaded"}, Wasm: ${_||"Not Loaded"})`}},_.EnumBarcodeFormat=i}));
